aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2017-07-06 15:04:14 +0300
committerTimo Teräs <timo.teras@iki.fi>2017-07-11 14:31:24 +0300
commit0e2173e94d31b7cee66a245f2439f2cc151782f9 (patch)
tree21553adde9438f2ba05cba96ffee85612462217a /testing
parent7689982c4054508f12606009da40e1229125b5cd (diff)
downloadaports-0e2173e94d31b7cee66a245f2439f2cc151782f9.tar.gz
aports-0e2173e94d31b7cee66a245f2439f2cc151782f9.tar.bz2
aports-0e2173e94d31b7cee66a245f2439f2cc151782f9.tar.xz
testing/perl-class-accessor-grouped: new aport
Lets you build groups of accessors http://search.cpan.org/dist/Class-Accessor-Grouped/
Diffstat (limited to 'testing')
-rw-r--r--testing/perl-class-accessor-grouped/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/perl-class-accessor-grouped/APKBUILD b/testing/perl-class-accessor-grouped/APKBUILD
new file mode 100644
index 0000000000..db08ff3c00
--- /dev/null
+++ b/testing/perl-class-accessor-grouped/APKBUILD
@@ -0,0 +1,48 @@
+# Automatically generated by apkbuild-cpan, template 2
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-class-accessor-grouped
+_pkgreal=Class-Accessor-Grouped
+pkgver=0.10012
+pkgrel=0
+pkgdesc="Lets you build groups of accessors"
+url="http://search.cpan.org/dist/Class-Accessor-Grouped/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-sub-name perl-class-xsaccessor perl-module-runtime"
+cpanmakedepends="perl-test-exception"
+cpancheckdepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+checkdepends="$cpancheckdepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RI/RIBASUSHI/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+check() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make test
+}
+
+sha512sums="195c4b1f9897b50753231ab6c893987a3e49e6283713175d612843651428c8cb2eb791a5385e25607a1db189861811efade33f94ef33c36cd41624e793ca20d1 Class-Accessor-Grouped-0.10012.tar.gz"